GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Static Public Member Functions | List of all members
GpgFrontend::ArchiveFileOperator Class Reference
Collaboration diagram for GpgFrontend::ArchiveFileOperator:

## Static Public Member Functions
static void | ListArchive (const std::filesystem::path &archive_path)
static void | CreateArchive (const std::filesystem::path &base_path, const std::filesystem::path &archive_path, int compress, const std::vector< std::filesystem::path > &files)
static void | ExtractArchive (const std::filesystem::path &archive_path, const std::filesystem::path &base_path)

The documentation for this class was generated from the following files:

- src/core/function/ArchiveFileOperator.h
- src/core/function/ArchiveFileOperator.cpp